Bug 1064758 - [py3] rpm.spec attribute missing in py3
Summary: [py3] rpm.spec attribute missing in py3
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: 20
Hardware: Unspecified Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Panu Matilainen
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-02-13 09:17 UTC by Ales Kozumplik
Modified: 2014-10-04 03:26 UTC (History)
7 users (show)

Fixed In Version: rpm-4.11.3-1.fc20
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-19 09:58:40 UTC
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Ales Kozumplik 2014-02-13 09:17:35 UTC
See the interactive shell session:

[akozumpl@localhost ~/dnf-plugins-core (builddep)]$ python
Python 2.7.5 (default, Nov 12 2013, 16:45:54) 
[GCC 4.8.2 20131017 (Red Hat 4.8.2-1)] on linux2
Type "help", "copyright", "credits" or "license" for more information.
>>> import rpm
>>> rpm.spec
<type 'rpm.spec'>
>>> 


[akozumpl@localhost ~/dnf-plugins-core (builddep)]$ python3
Python 3.3.2 (default, Nov  7 2013, 10:01:05) 
[GCC 4.8.1 20130814 (Red Hat 4.8.1-6)] on linux
Type "help", "copyright", "credits" or "license" for more information.
>>> import rpm
>>> rpm.spec
Traceback (most recent call last):
  File "<stdin>", line 1, in <module>
AttributeError: 'module' object has no attribute 'spec'
>>>

Comment 1 Ales Kozumplik 2014-02-13 09:27:12 UTC
The BuildDepCommandTest.test_spec() can be enabled for py3 once this is fixed:

https://github.com/akozumpl/dnf-plugins-core/blob/master/tests/test_builddep.py#L44

Comment 2 Panu Matilainen 2014-02-13 11:30:37 UTC
Heh, one could perhaps call this "slightly embarrasing" :)

http://rpm.org/gitweb?p=rpm.git;a=commitdiff;h=0073376965ee8d8df63c21b0da634fc315c97d0b

Comment 3 Petr Hracek 2014-06-11 10:03:53 UTC
I am using the attribute 'spec' in our project rebase-helper too.
I am waiting for fixing.

Comment 4 Fedora Update System 2014-09-08 06:56:27 UTC
rpm-4.11.3-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/rpm-4.11.3-1.fc20

Comment 5 Fedora Update System 2014-09-09 22:05:14 UTC
Package rpm-4.11.3-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing rpm-4.11.3-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-10325/rpm-4.11.3-1.fc20
then log in and leave karma (feedback).

Comment 6 Fedora Update System 2014-09-16 07:49:57 UTC
rpm-4.11.3-1.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/rpm-4.11.3-1.fc19

Comment 7 Fedora Update System 2014-09-19 09:58:40 UTC
rpm-4.11.3-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 8 Fedora Update System 2014-10-04 03:26:59 UTC
rpm-4.11.3-1.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.